# Interface ICommerceRequest

A Search API commerce request.

## Index

### Properties

- catalogId
- filter
- operation

## Properties

### Optional catalogId

catalogId: string

- Defined in rest/Query.ts :42

The unique identifier of the catalog to query.

Example: `46bc4275-e613-4dd5-b1ea-3e5aca1bcd9d`

### Optional filter

filter: string

- Defined in rest/Query.ts :47

A mandatory query expression to apply if the commerce request affects the query. Example: `@storeid==1001`

### Optional operation

operation: "selectCatalogObjects" | "excludeCatalogObjects"

- Defined in rest/Query.ts :52

The way the commerce request should affect query results. Example: `selectCatalogObjects`

### Hierarchy

- ICommerceRequest